-- RAISE_INBOUND_EVENT.SQL
-- Sample file for use with IBM WebSphere Adapter for Oracle E-Business Suite

-- Licensed Materials - Property of IBM
-- 5724N40
-- (C) Copyright IBM Corporation 2006 All Rights Reserved.
-- US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

DECLARE
  v_parameter_list             wf_parameter_list_t := wf_parameter_list_t(); 
  v_event_key                  NUMBER;
  v_orig_sys_customer_ref      ra_customers_interface_all.orig_system_customer_ref%TYPE := '&customer_reference';

BEGIN
  SELECT ibm_customer_event_key_s.NEXTVAL                                           
  INTO   v_event_key                                                         
  FROM   dual;

  wf_event.AddParameterToList(p_name=>          'OBJECT_KEY',
                              p_value=>         v_orig_sys_customer_ref,
                              p_parameterlist=> v_parameter_list);

  wf_event.AddParameterToList(p_name=>          'OBJECT_NAME',
                              p_value=>         'ArIbm95R95Cust95Accounts',
                              p_parameterlist=> v_parameter_list);

  wf_event.AddParameterToList(p_name=>          'OBJECT_FUNCTION',
                              p_value=>         'Import',
                              p_parameterlist=> v_parameter_list);

  wf_event.AddParameterToList(p_name=>          'EVENT_PRIORITY',
                              p_value=>         '1',
                              p_parameterlist=> v_parameter_list);

  wf_event.AddParameterToList(p_name=>          'EVENT_TIME',
                              p_value=>         TO_CHAR(sysdate,'MM/DD/RRRR HH24:MI:SS'),
                              p_parameterlist=> v_parameter_list);


  FND_GLOBAL.APPS_INITIALIZE(
     0,                            -- Applications User ID
     20678,                        -- Responsibility ID
     222                           -- Responsibility Application ID
  );
                                                                               
  wf_event.raise(                                                           
    p_event_name => 'ibm.apps.ar.customer.inbound',                 
    p_event_key  => v_event_key,                                     
    p_event_data => NULL,                                           
    p_parameters => v_parameter_list                                
  );  

  dbms_output.put_line('Event Key: '||to_char(v_event_key));                                                            
                                                                                
  v_parameter_list.delete;

  COMMIT;

END;
/
